geos::operation::GeometryGraphOperation Class Reference

The base class for operations that require GeometryGraph. More...

`#include <GeometryGraphOperation.h>`

Inheritance diagram for geos::operation::GeometryGraphOperation:

## Public Member Functions

| GeometryGraphOperation (const geom::Geometry *g0, const geom::Geometry *g1)
| GeometryGraphOperation (const geom::Geometry *g0, const geom::Geometry *g1, const algorithm::BoundaryNodeRule &boundaryNodeRule)
| GeometryGraphOperation (const geom::Geometry *g0)
const geom::Geometry * | getArgGeometry (unsigned int i) const

## Protected Member Functions

void | setComputationPrecision (const geom::PrecisionModel *pm)
| GeometryGraphOperation (const GeometryGraphOperation &other)=delete
GeometryGraphOperation & | operator= (const GeometryGraphOperation &rhs)=delete

## Protected Attributes

algorithm::LineIntersector | li
const geom::PrecisionModel * | resultPrecisionModel
std::vector< std::unique_ptr< geomgraph::GeometryGraph > > | arg
| The operation args into an array so they can be accessed by index.

## Detailed Description

The base class for operations that require GeometryGraph.

The documentation for this class was generated from the following file:

- GeometryGraphOperation.h